discography:
- catalog: N/A
  date: '2008-07-03'
  link: album/9325
  reprint: false
  roles:
  - Performer
  - Lyricist
  titles:
    en: A History of Crakatude
    ja: A History of Crakatude
    ja-latn: A History of Crakatude
  type: doujin
- catalog: N/A
  date: '2013-10-10'
  link: album/42710
  reprint: false
  roles:
  - Performer (as Shonen Samurai)
  - Lyricist (as Shonen Samurai)
  titles:
    en: Free ReMix Collection
    ja: Free ReMix Collection
    ja-latn: Free ReMix Collection
  type: doujin
featured_on: []
info:
  Credited works: 2 albums in database
  Credits:
  - 2 performer
  - 2 lyricist
link: artist/4568
meta:
  added_date: 2008-07-11T23:32
  edited_date: 2018-05-12T13:16
  fetched_date: 2025-12-07T15:21
  ttl: 86400
  visitors: 6087
name: Stella
notes: No notes available for this artist.
sex: female
type: Individual
vgmdb_link: https://vgmdb.net/artist/4568?perpage=99999
websites:
  Official: []
  Reference: []
